Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class FactoryAspect

    java.lang.Object
      org.jboss.jms.client.container.FactoryAspect

public class FactoryAspect
extends java.lang.Object

Constructs various things that can be created entirely or partially on the client. This aspect is PER_INSTANCE.

Version:
  `$Revision: 1.10 $` $Id: FactoryAspect.java,v 1.10 2006/03/09 21:50:09 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`FactoryAspect()`

Method Summary
`java.lang.Object` | `handleCreateBytesMessage(Invocation invocation)`
`java.lang.Object` | `handleCreateMapMessage(Invocation invocation)`
`java.lang.Object` | `handleCreateMessage(Invocation invocation)`
`java.lang.Object` | `handleCreateObjectMessage(Invocation invocation)`
`java.lang.Object` | `handleCreateStreamMessage(Invocation invocation)`
`java.lang.Object` | `handleCreateTextMessage(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryAspect

    public FactoryAspect()

Method Detail

### handleCreateMessage

    public java.lang.Object handleCreateMessage(Invocation invocation)
                                         throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateBytesMessage

    public java.lang.Object handleCreateBytesMessage(Invocation invocation)
                                              throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateMapMessage

    public java.lang.Object handleCreateMapMessage(Invocation invocation)
                                            throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateObjectMessage

    public java.lang.Object handleCreateObjectMessage(Invocation invocation)
                                               throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateStreamMessage

    public java.lang.Object handleCreateStreamMessage(Invocation invocation)
                                               throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateTextMessage

    public java.lang.Object handleCreateTextMessage(Invocation invocation)
                                             throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.